Issue 114311

Summary: PDF export does a bad job if transparency
Product: General Reporter: jbf.faure
Component: codeAssignee: wolframgarten
Status: CLOSED FIXED QA Contact: issues@framework <issues>
Severity: Trivial    
Priority: P3 CC: issues, mdxonefour, ooo, philipp.lohmann, sven.jacobi
Version: OOO330m6Keywords: regression
Target Milestone: OOo 3.3   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 111112    
Attachments:
Description Flags
the bugdoc
none
pdf export with OOO330m6
none
screencopy with Evince
none
screencopy of pdf with Xpdf none

Description jbf.faure 2010-09-04 21:21:47 UTC
Steps to reproduce:
- open attached bugdoc (odg file, same problem if the graphics is in a text doc)
- export as pdf using the button or the menus

What you see in the pdf file depends on the software used to open it:
- Adobe Reader under XP and Linux shows nothing (under Linux it says that the
file is corrupted, tested version : 9.3.4)
- Evince 2.30.3 shows only two rectangles, one being reversed.
- Xpdf, GSview and Okular show all rectangles in the right places

The graphic is composed by six rectangles filled by blank bitmap and
transparency is set to 80%. Some rectangles partially overlap.

Kind regards. JBF
Comment 1 jbf.faure 2010-09-04 21:22:25 UTC
Created attachment 71559 [details]
the bugdoc
Comment 2 jbf.faure 2010-09-04 21:23:12 UTC
Created attachment 71560 [details]
pdf export with OOO330m6
Comment 3 jbf.faure 2010-09-04 21:23:51 UTC
Created attachment 71561 [details]
screencopy with Evince
Comment 4 jbf.faure 2010-09-04 21:24:28 UTC
Created attachment 71562 [details]
screencopy of pdf with Xpdf
Comment 5 jbf.faure 2010-09-04 22:23:45 UTC
Of course pdf export of this bugdoc works without problem in OOo 3.2.1.
Regression keyword set.
Comment 6 Olaf Felka 2010-09-06 06:56:41 UTC
reassigned
Comment 7 ooo 2010-09-06 14:35:39 UTC
ka=>pl: could you take a look, please? Issue should be considered as a stopper 
for 3.3 (already announced at the release mailing list).
Comment 8 ooo 2010-09-06 14:48:23 UTC
added SJ to Cc
Comment 9 h.ilter 2010-09-07 21:02:07 UTC
@wg: Please take over, Thanks.
Comment 10 philipp.lohmann 2010-09-20 18:30:27 UTC
tarrget, cause known
Comment 11 philipp.lohmann 2010-09-20 18:53:35 UTC
fixed in CWS ooo33gsl09
Comment 12 Olaf Felka 2010-09-21 06:53:17 UTC
accepted and added to the meta issue
Comment 13 philipp.lohmann 2010-09-22 13:15:18 UTC
please verify in CWS ooo33gsl09
Comment 14 wolframgarten 2010-09-23 09:41:04 UTC
Verified in CWS.